Page MenuHomePhabricator

Two Argentinian provinces cannot load from map server
Closed, ResolvedPublic

Description

Both of these Argentinian provinces don't show up on the map, but they seem to be fine in OSM. osm2pgsql problem, or just some data hickup that would fix itself within two days?

https://maps.wikimedia.org/geoshape?getgeojson=1&ids=Q44756
https://maps.wikimedia.org/geoshape?getgeojson=1&ids=Q44756

Event Timeline

Yurik created this task.Nov 9 2017, 1:32 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 9 2017, 1:32 AM
MaxSem added a subscriber: MaxSem.Nov 9 2017, 9:53 PM

It appears in planet_osm_line but not planet_osm_polygon. @Pnorman, any ideas why?

Mholloway triaged this task as Normal priority.Jul 24 2018, 4:44 PM
Pikne closed this task as Resolved.Feb 2 2019, 8:52 AM
Pikne added a subscriber: Pikne.

Seems to work now. When I tried to display these objects via geoline service some time ago then border between Q44756 and Q44829 had some gaps. Around these gaps, I note that someone fixed a duplicate node for border segment w498585495 a couple of weeks ago. Maybe that was the problem.